/* Level 1 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#water {
  /* Answer */
  grid-column-start: 3;
}

/* Level 2 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#poison {
  /* Answer */
  grid-column-start: 5;
}

/* Level 3 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#water {
  grid-column-start: 1;
  /* Answer */
  grid-column-end: 4;
}

/* Level 4 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#water {
  grid-column-start: 5;
  /* Answer */
  grid-column-end: 2;
}

/* Level 5 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#water {
  grid-column-start: 1;
  /* Answer */
  grid-column-end: -2;
}

/* Level 6 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#poison {
  /* Answer */
  grid-column-start: -3;
}

/* Level 7 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#water {
  grid-column-start: 2;
  /* Answer */
  grid-column-end: span 2;
}

/* Level 8 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#water {
  grid-column-start: 1;
  /* Answer */
  grid-column-end: span 5;
}

/* Level 9 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#water {
  /* Answer */
  grid-column-start: span 3;
  grid-column-end: 6;
}

/* Level 10 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#water {
  /* Answer */
  grid-column: 4/6;
}

/* Level 11 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#water {
  /* Answer */
  grid-column: 2/span 3;
}

/* Level 12 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#water {
  /* Answer */
  grid-row-start: 3;
}

/* Level 13 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#water {
  /* Answer */
  grid-row: 3/6;
}

/* Level 14 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#poison {
  /* Answer */
  grid-row: 5;
  grid-column: 2;
}

/* Level 15 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#water {
  /* Answer */
  grid-column: 2/span 4;
  grid-row: 1/span 5;
}

/* Level 16 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#water {
  /* Answer */
  grid-area: 1/2/4/6;
}

/* Level 17 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#water-1 {
  grid-area: 1 / 4 / 6 / 5;
}
#water-2 {
  /* Answer */
  grid-area: 2/3/5/6;
}

/* Level 18 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
.water {
  order: 0;
}
#poison {
  /* Answer */
  order: 5;
}

/* Level 19 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
.water {
  order: 0;
}
.poison {
  /* Answer */
  order: -1;
}

/* Level 20 */
#garden {
  display: grid;
  /* Answer */
  grid-template-columns: 50% 50%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#water {
  grid-column: 1;
  grid-row: 1;
}

/* Level 21 */
#garden {
  display: grid;
  /* Answer */
  grid-template-columns: repeat(8, 12.5%);
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#water {
  grid-column: 1;
  grid-row: 1;
}

/* Level 22 */
#garden {
  display: grid;
  /* Answer */
  grid-template-columns: 100px 3em 40%;
  grid-template-rows: 20% 20% 20% 20% 20%;
}

/* Level 23 */
#garden {
  display: grid;
  /* Answer */
  grid-template-columns: 1fr 5fr;
  grid-template-rows: 20% 20% 20% 20% 20%;
}

/* Level 24 */
#garden {
  display: grid;
  /* Answer */
  grid-template-columns: 50px 5fr 5fr 5fr 50px;
  grid-template-rows: 20% 20% 20% 20% 20%;
}
#water {
  grid-area: 1 / 1 / 6 / 2;
}
#poison {
  grid-area: 1 / 5 / 6 / 6;
}

/* Level 25 */
#garden {
  display: grid;
  /* Answer */
  grid-template-columns: 75px 3fr 2fr;
  grid-template-rows: 100%;
}

/* Level 26 */
#garden {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  /* Answer */
  grid-template-rows: 50px 0 0 0;
}
#water {
  grid-column: 1 / 6;
  grid-row: 5 / 6;
}

/* Level 27 */
#garden {
  display: grid;
  /* Answer */
  grid-template: 60% 60% / 200px;
} 
#water {
  grid-column: 1;
  grid-row: 1;
}

/* Level 28 */
#garden {
  display: grid;
  /* Answer */
  grid-template: 1fr 50px / 1fr 4fr;
}